Assets
Read metadata for several assets
Query Parameters
assets?string
JSON-encoded array of up to 16 asset references.
Length
length <= 8192cacheOnly?"true"
Opt in to read-only cache lookup without catalogue resolution or background refresh.
Value in
- "true"
Response Body
application/json
curl -X GET "https://example.com/v1/asset-metadata"{ "assets": [ { "id": "string", "kind": "native", "code": "string", "issuer": "string", "contractId": "string", "name": "string", "logoUrl": "string", "metadataStatus": "pending", "observed": true, "firstObservedLedger": 1, "lastObservedLedger": 1, "firstObservedAt": "2019-08-24T14:15:22Z", "lastObservedAt": "2019-08-24T14:15:22Z", "status": "pending", "logoStatus": "pending", "homeDomain": "string", "tomlUrl": "string", "fetchedAt": "2019-08-24T14:15:22Z", "issuerCollectible": { "kind": "sep39-collectible-link", "source": "issuer-toml", "scarcity": "unverified" }, "cacheStatus": "hit", "referenceIdentity": "string", "source": "string" } ]}